net.sourceforge.pmd.lang.java

## Class Java16Handler

- java.lang.Object
- - net.sourceforge.pmd.lang.AbstractLanguageVersionHandler
  - - net.sourceforge.pmd.lang.java.AbstractJavaHandler
    - - net.sourceforge.pmd.lang.java.Java16Handler

- All Implemented Interfaces:
    LanguageVersionHandler

      public class Java16Handler
      extends AbstractJavaHandler

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Java16Handler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Parser` | `getParser(ParserOptions parserOptions)` Get the Parser.

    - ### Methods inherited from class net.sourceforge.pmd.lang.java.AbstractJavaHandler

      `getDataFlowFacade, getDataFlowHandler, getDumpFacade, getRuleViolationFactory, getSymbolFacade, getTypeResolutionFacade, getXPathHandler`

    - ### Methods inherited from class net.sourceforge.pmd.lang.AbstractLanguageVersionHandler

      `getDefaultParserOptions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Java16Handler

          public Java16Handler()

  - ### Method Detail

    - #### getParser

          public Parser getParser(ParserOptions parserOptions)

      Description copied from interface: `LanguageVersionHandler`
      Get the Parser.
      Returns:
        Parser

Copyright © 2002-2013 InfoEther. All Rights Reserved.